Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.invocation.jrmp.server
Class JRMPInvokerHA

    java.lang.Object
      java.rmi.server.RemoteObject
          java.rmi.server.RemoteServer
              org.jboss.invocation.jrmp.server.JRMPInvoker
                  org.jboss.invocation.jrmp.server.JRMPInvokerHA

All Implemented Interfaces:
  org.jboss.invocation.Invoker, InvokerHA, org.jboss.invocation.jrmp.server.JRMPInvokerMBean, javax.management.MBeanRegistration, Remote, Serializable, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class JRMPInvokerHA
extends org.jboss.invocation.jrmp.server.JRMPInvoker
implements InvokerHA

The JRMPInvokerHA is an HA-RMI implementation that can generate Invocations from RMI/JRMP into the JMX base

Version:
  $Revision: 1.23 $
Author:
  Sacha Labourey., Scott.Stark@jboss.org
See Also:
  Serialized Form

Field Summary
`protected HashMap` | `beanMap`

Fields inherited from class org.jboss.invocation.jrmp.server.JRMPInvoker
`ANONYMOUS_PORT, backlog, clientSocketFactory, clientSocketFactoryName, enableClassCaching, invokerStub, log, rmiPort, serverAddress, serverSocketFactory, serverSocketFactoryName, sslDomain, support`

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Fields inherited from interface org.jboss.invocation.Invoker
`ID`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`JRMPInvokerHA()` Explicit no-args constructor.

Method Summary
`org.jboss.invocation.Invoker` | `createProxy(javax.management.ObjectName beanName, LoadBalancePolicy policy, String proxyFamilyName)`
`Object` | `invoke(org.jboss.invocation.Invocation invocation)` Invoke a Remote interface method.
`void` | `registerBean(javax.management.ObjectName beanName, HATarget target)`
`protected void` | `startService()`
`protected void` | `stopService()`
`void` | `unregisterBean(javax.management.ObjectName beanName)`

Methods inherited from class org.jboss.invocation.jrmp.server.JRMPInvoker
`create, createDelegateInvoker, destroy, destroyService, exportCI, getBacklog, getEnableClassCaching, getName, getRMIClientSocketFactory, getRMIClientSocketFactoryBean, getRMIObjectPort, getRMIServerSocketFactory, getRMIServerSocketFactoryBean, getSecurityDomain, getServer, getServerAddress, getServerHostName, getState, getStateString, getStub, importTPC, jbossInternalLifecycle, loadCustomSocketFactories, postDeregister, postRegister, preDeregister, preRegister, rebind, setBacklog, setEnableClassCaching, setRMIClientSocketFactory, setRMIClientSocketFactoryBean, setRMIObjectPort, setRMIServerSocketFactory, setRMIServerSocketFactoryBean, setSecurityDomain, setServerAddress, start, stop, unexportCI`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.invocation.InvokerHA
`getStub`

Field Detail

### beanMap

    protected HashMap beanMap

Constructor Detail

### JRMPInvokerHA

    public JRMPInvokerHA()

  Explicit no-args constructor.

Method Detail

### startService

    protected void startService()
                         throws Exception

  Throws:
    `Exception`

### stopService

    protected void stopService()
                        throws Exception

  Throws:
    `Exception`

### registerBean

    public void registerBean(javax.management.ObjectName beanName,
                             HATarget target)
                      throws Exception

  Specified by:
    `registerBean` in interface `InvokerHA`
  Throws:
    `Exception`

### createProxy

    public org.jboss.invocation.Invoker createProxy(javax.management.ObjectName beanName,
                                                    LoadBalancePolicy policy,
                                                    String proxyFamilyName)
                                             throws Exception

  Specified by:
    `createProxy` in interface `InvokerHA`
  Throws:
    `Exception`

### unregisterBean

    public void unregisterBean(javax.management.ObjectName beanName)
                        throws Exception

  Specified by:
    `unregisterBean` in interface `InvokerHA`
  Throws:
    `Exception`

### invoke

    public Object invoke(org.jboss.invocation.Invocation invocation)
                  throws Exception

  Invoke a Remote interface method.

  Specified by:
    `invoke` in interface `org.jboss.invocation.Invoker`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.